BigattiBaseCase.h File Reference
`#include "Term.h"`
`#include "Ideal.h"`
`#include "HashPolynomial.h"`
`#include "UniHashPolynomial.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

class | BigattiBaseCase
| This class handles the base cases for the Hilbert-Poincare series by Bigatti et.al. More...
struct | BigattiBaseCase::State
| Used in enumerateScarfComplex and necessary to have here to define _states. More...